nxt.util.security

## Class BlockchainCertificate

- java.lang.Object
- - java.security.cert.Certificate
  - - nxt.util.security.BlockchainCertificate

- All Implemented Interfaces:
    java.io.Serializable

      public class BlockchainCertificate
      extends java.security.cert.Certificate

  Represent a transaction as certificate encapsulating the transaction sender public key
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.cert.Certificate

      `java.security.cert.Certificate.CertificateRep`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BlockchainCertificate(byte[] publicKey)`
    `protected` | `BlockchainCertificate(Transaction transaction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `clone()`
    `byte[]` | `getEncoded()`
    `java.security.PublicKey` | `getPublicKey()`
    `java.lang.String` | `toString()`
    `void` | `verify(java.security.PublicKey key)`
    `void` | `verify(java.security.PublicKey key, java.lang.String sigProvider)`

    - ### Methods inherited from class java.security.cert.Certificate

      `equals, getType, hashCode, verify, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockchainCertificate

          public BlockchainCertificate(byte[] publicKey)

    - #### BlockchainCertificate

          protected BlockchainCertificate(Transaction transaction)

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

      Specified by:
        `getEncoded` in class `java.security.cert.Certificate`

    - #### verify

          public void verify(java.security.PublicKey key)

      Specified by:
        `verify` in class `java.security.cert.Certificate`

    - #### verify

          public void verify(java.security.PublicKey key,
                             java.lang.String sigProvider)

      Specified by:
        `verify` in class `java.security.cert.Certificate`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `java.security.cert.Certificate`

    - #### clone

          protected java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getPublicKey

          public java.security.PublicKey getPublicKey()

      Specified by:
        `getPublicKey` in class `java.security.cert.Certificate`